#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
    // variables
    int N;
    double SUM, B;

    // N input
    cin >> N;

    // variables after input
    double A[N - 1];
    double P[N - 1];

    // calculate other inputs
    for (int X = 0;X != N;X++)
    {
        cin >> A[X] >> P[X];

        if (P[X] > 77.31)
        {
            B = A[X];
        } else
        {
            B = 0;
        }

        SUM += B;
    }

    // calculate final result and print it
    double RESULT = 77.32 / 100 * SUM;

    cout << fixed << setprecision(4);
    cout << RESULT;

    // return statement
    return 0;
}